Bug 227874 - lang/rust: Support OpenSSL 1.1.x
Summary: lang/rust: Support OpenSSL 1.1.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: FreeBSD Rust Team
URL:
Keywords: needs-patch
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-04-30 17:51 UTC by doctor
Modified: 2018-10-10 16:28 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (rust)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description doctor 2018-04-30 17:51:22 UTC
whether openssl 1.0.2 or openssl 1.1.0  I get

 Compiling cargo v0.26.0 (file:///usr/ports/lang/rust/work/rustc-1.25.0-src/src/tools/cargo)
error: linking with `cc` failed: exit code: 1
  |
  = note: "cc" "-Wl,--as-needed" "-Wl,-z,noexecstack" "-m64" "-L" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo0-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo1-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo10-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo11-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo12-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo13-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo14-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo15-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo2-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo3-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo4-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo5-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo6-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo7-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo8-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.cargo9-a1048bd8d657f503199c5cc65a5288b3.rs.rcgu.o" "-o" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/cargo-0276683e305b8c99.crate.allocator.rcgu.o" "-Wl,--gc-sections" "-pie" "-Wl,-z,relro,-z,now" "-Wl,-O1" "-nodefaultlibs" "-L" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps" "-L" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/release/deps" "-L" "/usr/local/lib" "-L" "/usr/lib" "-L" "/usr/local/lib" "-L" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/build/backtrace-sys-d1911a6b0bd90021/out/.libs" "-L" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/build/miniz-sys-a865c9622ac6cc29/out" "-L" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/build/libgit2-sys-0a72d94ded968f65/out/lib" "-L" "/usr/local/lib" "-L" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib" "-Wl,-Bstatic" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libgit2_curl-b673c2b85dbe1df0.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liblog-d3afe9d8691412a7.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libenv_logger-945039cb4289cd0a.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libchrono-64b92ec1fae4e17b.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libnum-24039ec71458a506.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libnum_rational-606e32395b84eeb4.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libnum_bigint-a5087ede086c833a.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libnum_complex-68ef37f216551766.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/librustc_serialize-1cf5680c388be0ac.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libnum_iter-eae3c83eeb573e25.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libnum_integer-3f6ced793f798f53.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libtime-4048dd93791352fb.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libcargo-fa337da384e9534a.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libcrypto_hash-a454995802622a2e.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libopenssl-275933f09e5101cf.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libforeign_types-e3ddf15bfa1fd1f3.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libforeign_types_shared-ba722fbc40e1d495.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libhex-b5ed63e05d2aa216.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libtoml-98acd419f24415cb.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libtermcolor-f567ca7f5d2ff2e3.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libtempdir-92f98de6bbac54c4.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/librand-3991d68d7880a977.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libtar-ff5dddd055c8e907.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libshell_escape-e2fd89bc7fcb8cd5.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libserde_ignored-fb0232fbc8ff56f4.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libsemver-3cc2e73fa14a6734.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libsemver_parser-806f04526eee2492.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libnum_cpus-f1c023b8683ca902.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liblazycell-b1b4220d9681e51e.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libjobserver-d6fda7379e6d4aa4.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libignore-034f1615b9690797.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libwalkdir-4a9adfbfb738204d.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libsame_file-7387b515a8c1a932.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libglobset-b18c98131d886f6f.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libfnv-4407835b5f6df9ec.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libhome-f1428000a821bdbb.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libhex-786f51573f70816d.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libglob-a92657706f316344.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libgit2-9e960624cd99cdf9.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libbitflags-a7427668a18c3166.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liblibgit2_sys-620f7b5cd50259cd.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liblibssh2_sys-d1b502fc9d31600d.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libfs2-688b3e340037d963.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libflate2-8e11dfe9aac7aacb.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libminiz_sys-6df6cc82ea6d49e5.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libfiletime-70bf5cea64d688c8.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libdocopt-2ecea858c3a6495b.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libstrsim-bcebc9ab3436db7d.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libregex-6d84787b3ee58083.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libutf8_ranges-4258ba74310711f9.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libregex_syntax-d69f7a16687c313e.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libthread_local-f20c247155db4cf7.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libunreachable-6e2d1fae7f426f41.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libvoid-f32dbeee54d7d39b.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libaho_corasick-707ed3115ab54b9d.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libmemchr-fb46d84138664520.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liblazy_static-2db6447d5083d440.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libcrossbeam-afbe3c1a7fc9173a.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libcrates_io-f8208783a1a245fe.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liburl-e2be2dd7509d517a.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libpercent_encoding-7cc4d277eff6e0ad.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libidna-8dde47b2fc46a48d.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libunicode_normalization-a93ca9ffeb385194.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libunicode_bidi-41547bab5bd9226c.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libmatches-d9404b20425d1459.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libcurl-eb0ba3c4e253435c.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libopenssl_probe-938543f9264d7e7e.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libsocket2-570ea652cb52247d.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libcurl_sys-938b1b148f6c6ad1.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libopenssl_sys-3526d6ef463bfbae.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liblibz_sys-43f2ccbd8b3657ec.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libatty-6bae6d245611dfa8.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libserde_json-167716407ad52dfe.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libdtoa-be7981203ff37e17.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libitoa-d91b5122f7cccea6.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libserde-eb12d6718a62e4b2.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libnum_traits-c050dc35042a57c5.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libscoped_tls-b25fb96732e11681.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liblog-0f92430672229cb2.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libfailure-2713a9f7c4207bdd.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libbacktrace-67db5cbd24329dd6.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libbacktrace_sys-fb7cc67d5e4da63b.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/librustc_demangle-501dbb94842825dc.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/libcfg_if-80317b340923f34f.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2-tools/x86_64-unknown-freebsd/release/deps/liblibc-4b0be2f7373a8d75.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/libstd-618faf8e489f63eb.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/libpanic_unwind-914236f935eff090.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/liballoc_jemalloc-078a517ccdee34ef.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/libunwind-8c75c165cae8f3e8.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/liballoc_system-6b20289a55a94ddc.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/liblibc-d3d6d9aa01ca6c4d.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/liballoc-2eaa9bd8a4be0791.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/libstd_unicode-4115a3b23d936c13.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/libcore-2955a3f692f7064c.rlib" "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage2/lib/rustlib/x86_64-unknown-freebsd/lib/libcompiler_builtins-54b4a765f3c5ddd0.rlib" "-Wl,-Bdynamic" "-l" "ssh2" "-l" "curl" "-l" "ssl" "-l" "crypto" "-l" "z" "-l" "util" "-l" "execinfo" "-l" "pthread" "-l" "pthread" "-l" "gcc_s" "-l" "c" "-l" "m" "-l" "rt" "-l" "pthread" "-l" "util" "-Wl,-rpath,$ORIGIN/../lib"
  = note: /usr/bin/ld: warning: libssl.so.7, needed by //usr/local/lib/librtmp.so.1, may conflict with libssl.so.1.1
          /usr/bin/ld: warning: libcrypto.so.7, needed by //usr/local/lib/librtmp.so.1, may conflict with libcrypto.so.1.1
          /usr/bin/ld: undefined reference to symbol `EVP_rc4' (try adding -lcrypto)
          //usr/lib/libcrypto.so.7: could not read symbols: Bad value
          cc: error: linker command failed with exit code 1 (use -v to see invocation)
          

error: aborting due to previous error

error: Could not compile `cargo`.

To learn more, run the command again with --verbose.


command did not execute successfully: "/usr/ports/lang/rust/work/rustc-1.25.0-src/build/x86_64-unknown-freebsd/stage0/bin/cargo" "build" "--target" "x86_64-unknown-freebsd" "--release" "--frozen" "--manifest-path" "/usr/ports/lang/rust/work/rustc-1.25.0-src/src/tools/cargo/Cargo.toml"
expected success, got: exit code: 101


Traceback (most recent call last):
  File "/usr/ports/lang/rust/work/rustc-1.25.0-src/x.py", line 20, in <module>
    bootstrap.main()
  File "/usr/ports/lang/rust/work/rustc-1.25.0-src/src/bootstrap/bootstrap.py", line 763, in main
    bootstrap()
  File "/usr/ports/lang/rust/work/rustc-1.25.0-src/src/bootstrap/bootstrap.py", line 754, in bootstrap
    run(args, env=env, verbose=build.verbose)
  File "/usr/ports/lang/rust/work/rustc-1.25.0-src/src/bootstrap/bootstrap.py", line 148, in run
    raise RuntimeError(err)
RuntimeError: failed to run: /usr/ports/lang/rust/work/rustc-1.25.0-src/build/bootstrap/debug/bootstrap build --verbose --config ./config.toml --jobs 1
[45393 refs]
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/lang/rust
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/rust

===>>> make build failed for lang/rust
===>>> Aborting update

===>>> Update for lang/rust failed
===>>> Aborting update

===>>> There are messages from installed ports to display,
       but first take a moment to review the error messages
       above.  Then press Enter when ready to proceed. 


FreeBSD 11.1 amd64
Comment 1 Jean-Sébastien Pédron freebsd_committer 2018-06-25 10:14:37 UTC
Hi!

Same comment I posted about LibreSSL 2.7.x:

Rust 1.27.0 was released and it looks like it includes support for LibreSSL 2.7.x and OpenSSL 1.1.x. I'm preparing the update right now. It may take some time because there is a regression with Rust on FreeBSD/aarch64 (the compiler crashes, see bug 228892).
Comment 2 Jan Beich freebsd_committer 2018-08-01 13:24:33 UTC
Probably fixed by ports r474978.
Comment 3 Tobias Kortkamp freebsd_committer 2018-10-10 16:28:56 UTC
Seems fixed.  Rust builds fine on 12.0-ALPHA9 after the import of
OpenSSL 1.1.1.  The exp-run from bug #231931 also confirms this.

http://package18.nyi.freebsd.org/data/headi386PR231931-default/2018-10-06_10h25m26s/logs/rust-1.29.1.log